% computes RSS path for prices
%% > SB: please convert to function...
%
phi=parameters.phi;
prob_mat=parameters.prob_mat;

psi_n=zeros(N_tau,N_t,N_r); % 
psi_0_mat=zeros(N_tau,N_r); % 
for rr=1:N_r
    psi_n(:,:,rr)          = solve_HJB_path(r_bar_n(rr,:),r_bar_ss,parameters) ; % computes entire price path 
    psi_0_mat(:,rr)        = psi_n(:,1,rr)                                     ; % computes initial price
end
results.psi_n  = psi_n                                                         ; % save values along path

% DEC 11 2020 ---> SB: TYPO HERE
Expsi_0_mat=psi_0_mat*sum(prob_mat,2);

% Saving objects of interest
rss.psi_0_mat  = psi_0_mat                                                 ; % price after shock
rss.psi_rss    = solve_HJB_rss(r_bar_ss,Expsi_0_mat,parameters)              ; % compute price at RSS, considering price jump
rss.psi_J_rss  = rss.psi_0_mat./rss.psi_rss                                ; % save solution      

if plotit==1
    figure
    plot(rss.psi_0_mat); hold on; plot(rss.psi_rss,'r--');
end